<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::vector&lt; T, 3 &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1vector_3_01_t_00_013_01_4.html">vector&lt; T, 3 &gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classdlib_1_1vector_3_01_t_00_013_01_4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::vector&lt; T, 3 &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::vector&lt; T, 3 &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1vector_3_01_t_00_013_01_4.png" usemap="#dlib::vector_3C_20T_2C_203_20_3E_map" alt=""/>
  <map id="dlib::vector_3C_20T_2C_203_20_3E_map" name="dlib::vector_3C_20T_2C_203_20_3E_map">
<area href="classdlib_1_1matrix.html" alt="dlib::matrix&lt; T, 3, 1 &gt;" shape="rect" coords="0,56,447,80"/>
<area href="classdlib_1_1matrix__exp.html" alt="dlib::matrix_exp&lt; matrix&lt; T, num_rows, num_cols, mem_manager, layout &gt; &gt;" shape="rect" coords="0,0,447,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1vector_3_01_t_00_013_01_4_1_1vc__rebind.html">vc_rebind</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1vector_3_01_t_00_013_01_4_1_1vc__rebind__promote.html">vc_rebind_promote</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a42c3580f46e33d15842f85373bda224e"><td class="memItemLeft" align="right" valign="top"><a id="a42c3580f46e33d15842f85373bda224e"></a>
typedef T&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a42c3580f46e33d15842f85373bda224e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classdlib_1_1matrix"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classdlib_1_1matrix')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classdlib_1_1matrix.html">dlib::matrix&lt; T, 3, 1 &gt;</a></td></tr>
<tr class="memitem:a73f7e838dc4c5c05cb7c8d49dc2ba1f0 inherit pub_types_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a73f7e838dc4c5c05cb7c8d49dc2ba1f0"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1matrix.html">matrix</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a73f7e838dc4c5c05cb7c8d49dc2ba1f0 inherit pub_types_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a018ab0972083ee3c9025cd12beb05b87 inherit pub_types_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a018ab0972083ee3c9025cd12beb05b87"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1matrix.html">matrix</a> &gt;::const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:a018ab0972083ee3c9025cd12beb05b87 inherit pub_types_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1043e6abce193e51450b39444d3fdcf0 inherit pub_types_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a1043e6abce193e51450b39444d3fdcf0"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1matrix.html">matrix</a> &gt;::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:a1043e6abce193e51450b39444d3fdcf0 inherit pub_types_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86187a566178414cef2cf711742b3ae8 inherit pub_types_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a86187a566178414cef2cf711742b3ae8"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1matrix.html">matrix</a> &gt;::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:a86187a566178414cef2cf711742b3ae8 inherit pub_types_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60706ae9a117bfc5d6c7ec443667dc13 inherit pub_types_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a60706ae9a117bfc5d6c7ec443667dc13"></a>
typedef T *&#160;</td><td class="memItemRight" valign="bottom"><b>iterator</b></td></tr>
<tr class="separator:a60706ae9a117bfc5d6c7ec443667dc13 inherit pub_types_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab320e8d02cdeb1684d44332966d46d41 inherit pub_types_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="ab320e8d02cdeb1684d44332966d46d41"></a>
typedef const T *&#160;</td><td class="memItemRight" valign="bottom"><b>const_iterator</b></td></tr>
<tr class="separator:ab320e8d02cdeb1684d44332966d46d41 inherit pub_types_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classdlib_1_1matrix__exp"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classdlib_1_1matrix__exp')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classdlib_1_1matrix__exp.html">dlib::matrix_exp&lt; matrix&lt; T, num_rows, num_cols, mem_manager, layout &gt; &gt;</a></td></tr>
<tr class="memitem:a039e80e9a67ddd1abaa4a1004dab7254 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; T, num_rows, num_cols, mem_manager, layout &gt; &gt;::<a class="el" href="classdlib_1_1matrix__exp.html#a039e80e9a67ddd1abaa4a1004dab7254">type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1matrix__exp.html#a039e80e9a67ddd1abaa4a1004dab7254">type</a></td></tr>
<tr class="separator:a039e80e9a67ddd1abaa4a1004dab7254 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c77b26cda27c68f6c09659c0fc2df39 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a8c77b26cda27c68f6c09659c0fc2df39"></a>
typedef <a class="el" href="classdlib_1_1matrix__exp.html#a039e80e9a67ddd1abaa4a1004dab7254">type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>value_type</b></td></tr>
<tr class="separator:a8c77b26cda27c68f6c09659c0fc2df39 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a457bfdba190a416a0303d2e74c8ebff8 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a457bfdba190a416a0303d2e74c8ebff8"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; T, num_rows, num_cols, mem_manager, layout &gt; &gt;::const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:a457bfdba190a416a0303d2e74c8ebff8 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc9ebe54c29ad8263ef894308d275237 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="abc9ebe54c29ad8263ef894308d275237"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; T, num_rows, num_cols, mem_manager, layout &gt; &gt;::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:abc9ebe54c29ad8263ef894308d275237 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bf2e883d0cca0c1fb5379793555a9e4 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a4bf2e883d0cca0c1fb5379793555a9e4"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; T, num_rows, num_cols, mem_manager, layout &gt; &gt;::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:a4bf2e883d0cca0c1fb5379793555a9e4 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed42d347a23cc0ae760ed9216ae0550a inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="aed42d347a23cc0ae760ed9216ae0550a"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; <a class="el" href="classdlib_1_1matrix__exp.html#a039e80e9a67ddd1abaa4a1004dab7254">type</a>, NR, NC, mem_manager_type, layout_type &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>matrix_type</b></td></tr>
<tr class="separator:aed42d347a23cc0ae760ed9216ae0550a inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d8fcde8026beec69e3870f1a8217431 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a0d8fcde8026beec69e3870f1a8217431"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; T, num_rows, num_cols, mem_manager, layout &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>exp_type</b></td></tr>
<tr class="separator:a0d8fcde8026beec69e3870f1a8217431 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabf7f7f0eaf760054d382e777ff3e0e3 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="aabf7f7f0eaf760054d382e777ff3e0e3"></a>
typedef <a class="el" href="classdlib_1_1matrix__exp__iterator.html">matrix_exp_iterator</a>&lt; <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; T, num_rows, num_cols, mem_manager, layout &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>iterator</b></td></tr>
<tr class="separator:aabf7f7f0eaf760054d382e777ff3e0e3 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12c8479c1ae6ec1cf8d357ab138b3579 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a12c8479c1ae6ec1cf8d357ab138b3579"></a>
typedef <a class="el" href="classdlib_1_1matrix__exp__iterator.html">matrix_exp_iterator</a>&lt; <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; T, num_rows, num_cols, mem_manager, layout &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>const_iterator</b></td></tr>
<tr class="separator:a12c8479c1ae6ec1cf8d357ab138b3579 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad37541d07743084a40dde1960c909c8f"><td class="memItemLeft" align="right" valign="top"><a id="ad37541d07743084a40dde1960c909c8f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>vector</b> (const T _x, const T _y, const T _z)</td></tr>
<tr class="separator:ad37541d07743084a40dde1960c909c8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae837eafa7e63dcd7fc3c9c6de4eb8dc9"><td class="memItemLeft" align="right" valign="top"><a id="ae837eafa7e63dcd7fc3c9c6de4eb8dc9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>vector</b> (const <a class="el" href="classdlib_1_1vector.html">vector</a> &amp;item)</td></tr>
<tr class="separator:ae837eafa7e63dcd7fc3c9c6de4eb8dc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b92826e855decdaf5fc2c87df766c1e"><td class="memTemplParams" colspan="2"><a id="a8b92826e855decdaf5fc2c87df766c1e"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:a8b92826e855decdaf5fc2c87df766c1e"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>vector</b> (const <a class="el" href="classdlib_1_1vector.html">vector</a>&lt; U, 2 &gt; &amp;item)</td></tr>
<tr class="separator:a8b92826e855decdaf5fc2c87df766c1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98e09c6138354d7036f8517b9db88044"><td class="memItemLeft" align="right" valign="top"><a id="a98e09c6138354d7036f8517b9db88044"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>vector</b> (const <a class="el" href="classdlib_1_1vector.html">vector</a>&lt; T, 2 &gt; &amp;item)</td></tr>
<tr class="separator:a98e09c6138354d7036f8517b9db88044"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6320e8084a3a9f7027ff3f78c9c71e1"><td class="memTemplParams" colspan="2"><a id="af6320e8084a3a9f7027ff3f78c9c71e1"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:af6320e8084a3a9f7027ff3f78c9c71e1"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>vector</b> (const <a class="el" href="classdlib_1_1vector.html">vector</a>&lt; U, 3 &gt; &amp;item)</td></tr>
<tr class="separator:af6320e8084a3a9f7027ff3f78c9c71e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4635bd1b421e4321958a6636e95e3bf2"><td class="memTemplParams" colspan="2"><a id="a4635bd1b421e4321958a6636e95e3bf2"></a>
template&lt;typename EXP &gt; </td></tr>
<tr class="memitem:a4635bd1b421e4321958a6636e95e3bf2"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>vector</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;m)</td></tr>
<tr class="separator:a4635bd1b421e4321958a6636e95e3bf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a4e981f466a1ed13dac6660daeffe84"><td class="memTemplParams" colspan="2"><a id="a3a4e981f466a1ed13dac6660daeffe84"></a>
template&lt;typename EXP &gt; </td></tr>
<tr class="memitem:a3a4e981f466a1ed13dac6660daeffe84"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1vector.html">vector</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;m)</td></tr>
<tr class="separator:a3a4e981f466a1ed13dac6660daeffe84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d56a1959c17964b2d505ca577f56b57"><td class="memTemplParams" colspan="2"><a id="a8d56a1959c17964b2d505ca577f56b57"></a>
template&lt;typename U , long N&gt; </td></tr>
<tr class="memitem:a8d56a1959c17964b2d505ca577f56b57"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1vector.html">vector</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classdlib_1_1vector.html">vector</a>&lt; U, N &gt; &amp;item)</td></tr>
<tr class="separator:a8d56a1959c17964b2d505ca577f56b57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f85d2e45ab7f2fc66cd2b01bee1556d"><td class="memItemLeft" align="right" valign="top"><a id="a2f85d2e45ab7f2fc66cd2b01bee1556d"></a>
<a class="el" href="classdlib_1_1vector.html">vector</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classdlib_1_1vector.html">vector</a> &amp;item)</td></tr>
<tr class="separator:a2f85d2e45ab7f2fc66cd2b01bee1556d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa99f595562a81c9494e638ece6d02b66"><td class="memItemLeft" align="right" valign="top"><a id="aa99f595562a81c9494e638ece6d02b66"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>length</b> () const</td></tr>
<tr class="separator:aa99f595562a81c9494e638ece6d02b66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a546d3cd0c59cff79cec74a2ce8431711"><td class="memItemLeft" align="right" valign="top"><a id="a546d3cd0c59cff79cec74a2ce8431711"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>length_squared</b> () const</td></tr>
<tr class="separator:a546d3cd0c59cff79cec74a2ce8431711"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2afff703c6823ed4c5e87499b60a398c"><td class="memItemLeft" align="right" valign="top"><a id="a2afff703c6823ed4c5e87499b60a398c"></a>
<a class="el" href="structdlib_1_1vc__rebind.html">vc_rebind</a>&lt; double, 3 &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><b>normalize</b> () const</td></tr>
<tr class="separator:a2afff703c6823ed4c5e87499b60a398c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bd0ed8b09568657107f977ddef57335"><td class="memItemLeft" align="right" valign="top"><a id="a9bd0ed8b09568657107f977ddef57335"></a>
T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>x</b> ()</td></tr>
<tr class="separator:a9bd0ed8b09568657107f977ddef57335"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31cdfcd6c52253253571a0fda2aa0c43"><td class="memItemLeft" align="right" valign="top"><a id="a31cdfcd6c52253253571a0fda2aa0c43"></a>
T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>y</b> ()</td></tr>
<tr class="separator:a31cdfcd6c52253253571a0fda2aa0c43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afba4db39e1deb94f6b66afad16ff7bc1"><td class="memItemLeft" align="right" valign="top"><a id="afba4db39e1deb94f6b66afad16ff7bc1"></a>
T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>z</b> ()</td></tr>
<tr class="separator:afba4db39e1deb94f6b66afad16ff7bc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a103c812053f7a8d9563dc0dbfbc39d6e"><td class="memItemLeft" align="right" valign="top"><a id="a103c812053f7a8d9563dc0dbfbc39d6e"></a>
const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>x</b> () const</td></tr>
<tr class="separator:a103c812053f7a8d9563dc0dbfbc39d6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2507d344c1d64f1737bd7b8b36481a24"><td class="memItemLeft" align="right" valign="top"><a id="a2507d344c1d64f1737bd7b8b36481a24"></a>
const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>y</b> () const</td></tr>
<tr class="separator:a2507d344c1d64f1737bd7b8b36481a24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a972515f3f7071250f370e0bbe44b33c3"><td class="memItemLeft" align="right" valign="top"><a id="a972515f3f7071250f370e0bbe44b33c3"></a>
const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>z</b> () const</td></tr>
<tr class="separator:a972515f3f7071250f370e0bbe44b33c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad42e934df19eb7b6c8d68e44d245b336"><td class="memItemLeft" align="right" valign="top"><a id="ad42e934df19eb7b6c8d68e44d245b336"></a>
T&#160;</td><td class="memItemRight" valign="bottom"><b>dot</b> (const <a class="el" href="classdlib_1_1vector.html">vector</a> &amp;rhs) const</td></tr>
<tr class="separator:ad42e934df19eb7b6c8d68e44d245b336"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9eb5af0f7ec7e569272c90635877df5d"><td class="memTemplParams" colspan="2"><a id="a9eb5af0f7ec7e569272c90635877df5d"></a>
template&lt;typename U , long N&gt; </td></tr>
<tr class="memitem:a9eb5af0f7ec7e569272c90635877df5d"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structdlib_1_1vect__promote.html">vect_promote</a>&lt; T, U &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><b>dot</b> (const <a class="el" href="classdlib_1_1vector.html">vector</a>&lt; U, N &gt; &amp;rhs) const</td></tr>
<tr class="separator:a9eb5af0f7ec7e569272c90635877df5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c36da2b003f849de0145c902fa93ffd"><td class="memTemplParams" colspan="2"><a id="a7c36da2b003f849de0145c902fa93ffd"></a>
template&lt;typename U , long N&gt; </td></tr>
<tr class="memitem:a7c36da2b003f849de0145c902fa93ffd"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structdlib_1_1vc__rebind__promote.html">vc_rebind_promote</a>&lt; T, U, 3 &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><b>cross</b> (const <a class="el" href="classdlib_1_1vector.html">vector</a>&lt; U, N &gt; &amp;rhs) const</td></tr>
<tr class="separator:a7c36da2b003f849de0145c902fa93ffd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a404a09219395943baa2125728a151a38"><td class="memItemLeft" align="right" valign="top"><a id="a404a09219395943baa2125728a151a38"></a>
<a class="el" href="classdlib_1_1vector.html">vector</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (const <a class="el" href="classdlib_1_1vector.html">vector</a> &amp;rhs)</td></tr>
<tr class="separator:a404a09219395943baa2125728a151a38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefb3494f503f0e24a920c88854bfecb7"><td class="memItemLeft" align="right" valign="top"><a id="aefb3494f503f0e24a920c88854bfecb7"></a>
<a class="el" href="classdlib_1_1vector.html">vector</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (const <a class="el" href="classdlib_1_1vector.html">vector</a> &amp;rhs)</td></tr>
<tr class="separator:aefb3494f503f0e24a920c88854bfecb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ad2fcbe3f62268467a655ec2894ad13"><td class="memItemLeft" align="right" valign="top"><a id="a6ad2fcbe3f62268467a655ec2894ad13"></a>
<a class="el" href="classdlib_1_1vector.html">vector</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator/=</b> (const T &amp;rhs)</td></tr>
<tr class="separator:a6ad2fcbe3f62268467a655ec2894ad13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1d66c8e3734338875542e8449ffab76"><td class="memItemLeft" align="right" valign="top"><a id="ad1d66c8e3734338875542e8449ffab76"></a>
<a class="el" href="classdlib_1_1vector.html">vector</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator*=</b> (const T &amp;rhs)</td></tr>
<tr class="separator:ad1d66c8e3734338875542e8449ffab76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0da8b421b8b8bb69859455553fe903af"><td class="memItemLeft" align="right" valign="top"><a id="a0da8b421b8b8bb69859455553fe903af"></a>
<a class="el" href="classdlib_1_1vector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><b>operator-</b> () const</td></tr>
<tr class="separator:a0da8b421b8b8bb69859455553fe903af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affebc81ef3122b9022efa1c2fedac21b"><td class="memTemplParams" colspan="2"><a id="affebc81ef3122b9022efa1c2fedac21b"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:affebc81ef3122b9022efa1c2fedac21b"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structdlib_1_1vc__rebind__promote.html">vc_rebind_promote</a>&lt; T, U, 3 &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator/</b> (const U &amp;val) const</td></tr>
<tr class="separator:affebc81ef3122b9022efa1c2fedac21b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1334272a3b65a4320a44be7efdc034e"><td class="memTemplParams" colspan="2"><a id="af1334272a3b65a4320a44be7efdc034e"></a>
template&lt;typename U , long NR2&gt; </td></tr>
<tr class="memitem:af1334272a3b65a4320a44be7efdc034e"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classdlib_1_1vector.html">vector</a>&lt; U, NR2 &gt; &amp;rhs) const</td></tr>
<tr class="separator:af1334272a3b65a4320a44be7efdc034e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a311702684fe0e7e69af985c0c95edb0d"><td class="memTemplParams" colspan="2"><a id="a311702684fe0e7e69af985c0c95edb0d"></a>
template&lt;typename U , long NR2&gt; </td></tr>
<tr class="memitem:a311702684fe0e7e69af985c0c95edb0d"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classdlib_1_1vector.html">vector</a>&lt; U, NR2 &gt; &amp;rhs) const</td></tr>
<tr class="separator:a311702684fe0e7e69af985c0c95edb0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c1b997d8f06f84ec66899e0f82d2fc5"><td class="memItemLeft" align="right" valign="top"><a id="a9c1b997d8f06f84ec66899e0f82d2fc5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>swap</b> (<a class="el" href="classdlib_1_1vector.html">vector</a> &amp;item)</td></tr>
<tr class="separator:a9c1b997d8f06f84ec66899e0f82d2fc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1matrix"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1matrix')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1matrix.html">dlib::matrix&lt; T, 3, 1 &gt;</a></td></tr>
<tr class="memitem:af06b6a8dcc31af6f247e5470e306bdab inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="af06b6a8dcc31af6f247e5470e306bdab"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>matrix</b> (long length)</td></tr>
<tr class="separator:af06b6a8dcc31af6f247e5470e306bdab inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3e35708ec8f76b1d043f37912c23e17 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="ad3e35708ec8f76b1d043f37912c23e17"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>matrix</b> (long rows, long cols)</td></tr>
<tr class="separator:ad3e35708ec8f76b1d043f37912c23e17 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a865e6158325286dfaa6e1c628e01e049 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a865e6158325286dfaa6e1c628e01e049"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>matrix</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;m)</td></tr>
<tr class="separator:a865e6158325286dfaa6e1c628e01e049 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e53f6d0504c5dc41b2931d385e386b8 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a3e53f6d0504c5dc41b2931d385e386b8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>matrix</b> (const <a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;m)</td></tr>
<tr class="separator:a3e53f6d0504c5dc41b2931d385e386b8 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad799f9b124ae8108f6ace3e99b96f869 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="ad799f9b124ae8108f6ace3e99b96f869"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>matrix</b> (U(&amp;<a class="el" href="classdlib_1_1array.html">array</a>)[len])</td></tr>
<tr class="separator:ad799f9b124ae8108f6ace3e99b96f869 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a984d99f6de33dfd880215aaf01442498 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a984d99f6de33dfd880215aaf01442498"></a>
T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long r, long c)</td></tr>
<tr class="separator:a984d99f6de33dfd880215aaf01442498 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fba8f4e7cf1c555ab47914fe7b8eaeb inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a5fba8f4e7cf1c555ab47914fe7b8eaeb"></a>
const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long r, long c) const</td></tr>
<tr class="separator:a5fba8f4e7cf1c555ab47914fe7b8eaeb inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b99e1e639eb052109866f07c1654ad6 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a5b99e1e639eb052109866f07c1654ad6"></a>
T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long i)</td></tr>
<tr class="separator:a5b99e1e639eb052109866f07c1654ad6 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41218a541026e3fc397b162fd335f563 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a41218a541026e3fc397b162fd335f563"></a>
const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long i) const</td></tr>
<tr class="separator:a41218a541026e3fc397b162fd335f563 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fdb8248eace8003726454ae2a2f8d61 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a1fdb8248eace8003726454ae2a2f8d61"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>operator const type</b> () const</td></tr>
<tr class="separator:a1fdb8248eace8003726454ae2a2f8d61 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5509fb0645a8cc7f74ce88e65ca841cb inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a5509fb0645a8cc7f74ce88e65ca841cb"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_size</b> (long rows, long cols)</td></tr>
<tr class="separator:a5509fb0645a8cc7f74ce88e65ca841cb inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7350b3d1aa93047d3aea4ea66cd2e2f inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="ab7350b3d1aa93047d3aea4ea66cd2e2f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_size</b> (long length)</td></tr>
<tr class="separator:ab7350b3d1aa93047d3aea4ea66cd2e2f inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a994cf3f18758057c7be5a4bde1d8d12d inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a994cf3f18758057c7be5a4bde1d8d12d"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:a994cf3f18758057c7be5a4bde1d8d12d inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae724df5913caa68532397912471b419c inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="ae724df5913caa68532397912471b419c"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:ae724df5913caa68532397912471b419c inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a879b5a5456fa9f33ed78c31826eee21f inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a879b5a5456fa9f33ed78c31826eee21f"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>size</b> () const</td></tr>
<tr class="separator:a879b5a5456fa9f33ed78c31826eee21f inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a308d72892ca4bb2e23ba2dc87f2536b6 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a308d72892ca4bb2e23ba2dc87f2536b6"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (U(&amp;<a class="el" href="classdlib_1_1array.html">array</a>)[len])</td></tr>
<tr class="separator:a308d72892ca4bb2e23ba2dc87f2536b6 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb2ad80121362157fbfe1be2a8cae5ce inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="aeb2ad80121362157fbfe1be2a8cae5ce"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;m)</td></tr>
<tr class="separator:aeb2ad80121362157fbfe1be2a8cae5ce inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb779d1f0a381ab8e1e476706d43e833 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="acb779d1f0a381ab8e1e476706d43e833"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;m)</td></tr>
<tr class="separator:acb779d1f0a381ab8e1e476706d43e833 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf7127dc8e1f9ec0f553fddeb873aec2 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="aaf7127dc8e1f9ec0f553fddeb873aec2"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const literal_assign_helper &amp;val)</td></tr>
<tr class="separator:aaf7127dc8e1f9ec0f553fddeb873aec2 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e446477cec93925913598b176e2aeaf inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a0e446477cec93925913598b176e2aeaf"></a>
const literal_assign_helper&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const T &amp;val)</td></tr>
<tr class="separator:a0e446477cec93925913598b176e2aeaf inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1063fdec1b1be76d67b2c3a70149bca inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="ab1063fdec1b1be76d67b2c3a70149bca"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;m)</td></tr>
<tr class="separator:ab1063fdec1b1be76d67b2c3a70149bca inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a457541575d8b8f929e2c72329547cc inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a7a457541575d8b8f929e2c72329547cc"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (const <a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;m)</td></tr>
<tr class="separator:a7a457541575d8b8f929e2c72329547cc inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4315d79ea2c7d06af32589049077b7fa inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a4315d79ea2c7d06af32589049077b7fa"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (const T val)</td></tr>
<tr class="separator:a4315d79ea2c7d06af32589049077b7fa inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ce68776ae2f1376cb2cf6fccc393647 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a8ce68776ae2f1376cb2cf6fccc393647"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;m)</td></tr>
<tr class="separator:a8ce68776ae2f1376cb2cf6fccc393647 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41eb160d966e0424c297f669900d6164 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a41eb160d966e0424c297f669900d6164"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (const <a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;m)</td></tr>
<tr class="separator:a41eb160d966e0424c297f669900d6164 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89728ef668ba216d729269b36b26289e inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a89728ef668ba216d729269b36b26289e"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (const T val)</td></tr>
<tr class="separator:a89728ef668ba216d729269b36b26289e inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07483ea4e914bf2fbb771163738273c7 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a07483ea4e914bf2fbb771163738273c7"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator*=</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;m)</td></tr>
<tr class="separator:a07483ea4e914bf2fbb771163738273c7 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc039531c530bbaf5b0808eafdf50ca0 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="acc039531c530bbaf5b0808eafdf50ca0"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator*=</b> (const T a)</td></tr>
<tr class="separator:acc039531c530bbaf5b0808eafdf50ca0 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab308c5dc0f90aeb669a3fdef6b1d9ee2 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="ab308c5dc0f90aeb669a3fdef6b1d9ee2"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator/=</b> (const T a)</td></tr>
<tr class="separator:ab308c5dc0f90aeb669a3fdef6b1d9ee2 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a507d2a69f50b9a9dcbe719f0f3f46ead inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a507d2a69f50b9a9dcbe719f0f3f46ead"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>swap</b> (<a class="el" href="classdlib_1_1matrix.html">matrix</a> &amp;item)</td></tr>
<tr class="separator:a507d2a69f50b9a9dcbe719f0f3f46ead inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cad97ec8081976b1602a3350b044538 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a8cad97ec8081976b1602a3350b044538"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;) const</td></tr>
<tr class="separator:a8cad97ec8081976b1602a3350b044538 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a82a69ef428ed78388c73d1932fa409 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a4a82a69ef428ed78388c73d1932fa409"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; T, num_rows, num_cols, mem_manager, layout &gt; &gt; &amp;item) const</td></tr>
<tr class="separator:a4a82a69ef428ed78388c73d1932fa409 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adaa7873bc8604e22bdd8f62ad1ab33f6 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="adaa7873bc8604e22bdd8f62ad1ab33f6"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; <a class="el" href="classdlib_1_1matrix__op.html">matrix_op</a>&lt; <a class="el" href="structdlib_1_1op__pointer__to__mat.html">op_pointer_to_mat</a>&lt; T &gt; &gt; &gt; &amp;item) const</td></tr>
<tr class="separator:adaa7873bc8604e22bdd8f62ad1ab33f6 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f7517c65d2423610bf89208fbbd2773 inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a0f7517c65d2423610bf89208fbbd2773"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; <a class="el" href="classdlib_1_1matrix__op.html">matrix_op</a>&lt; <a class="el" href="structdlib_1_1op__pointer__to__col__vect.html">op_pointer_to_col_vect</a>&lt; T &gt; &gt; &gt; &amp;item) const</td></tr>
<tr class="separator:a0f7517c65d2423610bf89208fbbd2773 inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b7a65f0579583abb9c9a0945419289e inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a8b7a65f0579583abb9c9a0945419289e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>destructively_aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;) const</td></tr>
<tr class="separator:a8b7a65f0579583abb9c9a0945419289e inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8bf1438beada9e87e2ae1d94578df0d inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="ad8bf1438beada9e87e2ae1d94578df0d"></a>
iterator&#160;</td><td class="memItemRight" valign="bottom"><b>begin</b> ()</td></tr>
<tr class="separator:ad8bf1438beada9e87e2ae1d94578df0d inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a952c19768e469c616bd21dbb775f1e3b inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a952c19768e469c616bd21dbb775f1e3b"></a>
const_iterator&#160;</td><td class="memItemRight" valign="bottom"><b>begin</b> () const</td></tr>
<tr class="separator:a952c19768e469c616bd21dbb775f1e3b inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeae6a8e2281a05c6ef3048f1afc6ef5a inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="aeae6a8e2281a05c6ef3048f1afc6ef5a"></a>
iterator&#160;</td><td class="memItemRight" valign="bottom"><b>end</b> ()</td></tr>
<tr class="separator:aeae6a8e2281a05c6ef3048f1afc6ef5a inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d8e85f1a18abb589a360d1c8ba24c1f inherit pub_methods_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a0d8e85f1a18abb589a360d1c8ba24c1f"></a>
const_iterator&#160;</td><td class="memItemRight" valign="bottom"><b>end</b> () const</td></tr>
<tr class="separator:a0d8e85f1a18abb589a360d1c8ba24c1f inherit pub_methods_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1matrix__exp"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1matrix__exp')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1matrix__exp.html">dlib::matrix_exp&lt; matrix&lt; T, num_rows, num_cols, mem_manager, layout &gt; &gt;</a></td></tr>
<tr class="memitem:ac17be94df8060cdff2dc5af732b8f677 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="ac17be94df8060cdff2dc5af732b8f677"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long r, long c) const</td></tr>
<tr class="separator:ac17be94df8060cdff2dc5af732b8f677 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62530f2d643478e68e4e9270fd44b346 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a62530f2d643478e68e4e9270fd44b346"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long i) const</td></tr>
<tr class="separator:a62530f2d643478e68e4e9270fd44b346 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5fc639a65f6a2493b80c4b42de0250d inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="ac5fc639a65f6a2493b80c4b42de0250d"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>size</b> () const</td></tr>
<tr class="separator:ac5fc639a65f6a2493b80c4b42de0250d inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f7348faf46c2c856850621506a88d4c inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a6f7348faf46c2c856850621506a88d4c"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:a6f7348faf46c2c856850621506a88d4c inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe8930b38c262a4da361314563ef8ac6 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="afe8930b38c262a4da361314563ef8ac6"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:afe8930b38c262a4da361314563ef8ac6 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30fe5f93e1e2998a6164a4999ddd12a3 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a30fe5f93e1e2998a6164a4999ddd12a3"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a30fe5f93e1e2998a6164a4999ddd12a3 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9002b9c186190c3a29c7ab0485818693 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a9002b9c186190c3a29c7ab0485818693"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>destructively_aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a9002b9c186190c3a29c7ab0485818693 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b64be9705716c08130e8f41aed902d5 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a5b64be9705716c08130e8f41aed902d5"></a>
const <a class="el" href="classdlib_1_1matrix.html">exp_type</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>ref</b> () const</td></tr>
<tr class="separator:a5b64be9705716c08130e8f41aed902d5 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a849b5eeb2dbbf1be9def6b6001aedaab inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a849b5eeb2dbbf1be9def6b6001aedaab"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>operator const type</b> () const</td></tr>
<tr class="separator:a849b5eeb2dbbf1be9def6b6001aedaab inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f450fc4769675f043e1ee96b559b8f2 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a9f450fc4769675f043e1ee96b559b8f2"></a>
<a class="el" href="classdlib_1_1matrix__exp__iterator.html">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>begin</b> () const</td></tr>
<tr class="separator:a9f450fc4769675f043e1ee96b559b8f2 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54a5e4478efe3095c3ba8c797663ef98 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a54a5e4478efe3095c3ba8c797663ef98"></a>
<a class="el" href="classdlib_1_1matrix__exp__iterator.html">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>end</b> () const</td></tr>
<tr class="separator:a54a5e4478efe3095c3ba8c797663ef98 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_attribs_classdlib_1_1matrix"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_classdlib_1_1matrix')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="classdlib_1_1matrix.html">dlib::matrix&lt; T, 3, 1 &gt;</a></td></tr>
<tr class="memitem:a0e19787aacbfdf25c08b71b4f9918031 inherit pub_static_attribs_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a0e19787aacbfdf25c08b71b4f9918031"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b></td></tr>
<tr class="separator:a0e19787aacbfdf25c08b71b4f9918031 inherit pub_static_attribs_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c0f60a357fef2caa2e28eaa3fbf64b1 inherit pub_static_attribs_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a7c0f60a357fef2caa2e28eaa3fbf64b1"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b></td></tr>
<tr class="separator:a7c0f60a357fef2caa2e28eaa3fbf64b1 inherit pub_static_attribs_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59ea07c9f0de0a7560139fdb7b9e8abe inherit pub_static_attribs_classdlib_1_1matrix"><td class="memItemLeft" align="right" valign="top"><a id="a59ea07c9f0de0a7560139fdb7b9e8abe"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b></td></tr>
<tr class="separator:a59ea07c9f0de0a7560139fdb7b9e8abe inherit pub_static_attribs_classdlib_1_1matrix"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_attribs_classdlib_1_1matrix__exp"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_classdlib_1_1matrix__exp')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="classdlib_1_1matrix__exp.html">dlib::matrix_exp&lt; matrix&lt; T, num_rows, num_cols, mem_manager, layout &gt; &gt;</a></td></tr>
<tr class="memitem:a3cc23b5e782b277de7670a43b3f4942e inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a3cc23b5e782b277de7670a43b3f4942e"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b></td></tr>
<tr class="separator:a3cc23b5e782b277de7670a43b3f4942e inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e1007caf961b85c04bd7cc559c86942 inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a1e1007caf961b85c04bd7cc559c86942"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b></td></tr>
<tr class="separator:a1e1007caf961b85c04bd7cc559c86942 inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8abb655ce64519ef5cf8a0645eed3cf5 inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a8abb655ce64519ef5cf8a0645eed3cf5"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b></td></tr>
<tr class="separator:a8abb655ce64519ef5cf8a0645eed3cf5 inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classdlib_1_1matrix__exp"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classdlib_1_1matrix__exp')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classdlib_1_1matrix__exp.html">dlib::matrix_exp&lt; matrix&lt; T, num_rows, num_cols, mem_manager, layout &gt; &gt;</a></td></tr>
<tr class="memitem:a1ed9bc70f065bd8ed7d8d33f48b9f18c inherit pro_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a1ed9bc70f065bd8ed7d8d33f48b9f18c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>matrix_exp</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a> &amp;)</td></tr>
<tr class="separator:a1ed9bc70f065bd8ed7d8d33f48b9f18c inherit pro_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="vector_8h_source.html">vector.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
